Debian Security Advisory

DSA-2063-1 pmount -- insecure temporary file

Date Reported:
17 Jun 2010
Affected Packages:
pmount
Vulnerable:
Yes
Security database references:
In Mitre's CVE dictionary: CVE-2010-2192.
More information:

Dan Rosenberg discovered that pmount, a wrapper around the standard mount program which permits normal users to mount removable devices without a matching /etc/fstab entry, creates files in /var/lock insecurely. A local attacker could overwrite arbitrary files utilising a symlink attack.

For the stable distribution (lenny), this problem has been fixed in version 0.9.18-2+lenny1

For the unstable distribution (sid), this problem has been fixed in version 0.9.23-1, and will migrate to the testing distribution (squeeze) shortly.

We recommend that you upgrade your pmount package.

Fixed in:

Debian GNU/Linux 5.0 (lenny)

Source:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18.orig.tar.gz
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1.dsc
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1.diff.gz
Alpha:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_arm.deb
ARM EABI:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_armel.deb
HP Precision:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/p/pmount/pmount_0.9.18-2+lenny1_sparc.deb

MD5 checksums of the listed files are available in the original advisory.